<!DOCTYPE html>
<html lang="en">
<head>
  <title>TOPISTO</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">

  <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Bangers" rel="stylesheet" type="text/css">

  <link href="css/topisto.css" rel="stylesheet" type="text/css">
  <link href="css/fonts.css" rel="stylesheet" type="text/css">

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

  <script src="js/console.js" defer></script>
  <script src="js/lastblock.js" defer></script>
  <script src="js/blockexplorer.js" defer></script>

  <script>
    $(document).ready(function(){
      // Mask navigator scrollbar
      // Doesn't work : can't scroll anymore
      //$("body").css('overflow', 'hidden');

      $('#myNavbar').on('show.bs.collapse', function () {
        $('#logo_topisto').css({'height' : '30px','width' : '30px'});
        $('#titre_topisto').css({'font-size' : '30px'});
      });
      $('#myNavbar').on('hidden.bs.collapse', function () {
        $('#logo_topisto').css({'height' : '72px','width' : '72px'});
        $('#titre_topisto').css({'font-size' : '60px'});
      });

      $(window).scroll(function() {
        if (isInViewport(document.querySelector('footer')))
        {
          blockchainExplorer.addBottomBlock();
          console.log("Scroll to footer detected !");
        }
        /*
        $(".slideanim").each(function(){
          var pos = $(this).offset().top;
          var winTop = $(window).scrollTop();
          if (pos < winTop + 600) {
            blockchainExplorer.addBottomBlock();
            $(this).addClass("slide");
          }
        });
        */
      });

      blockchainExplorer.init(1);
    });

    var isInViewport = function (elem) {
      var bounding = elem.getBoundingClientRect();
      return (
        bounding.top >= 0 &&
        bounding.left >= 0 &&
        bounding.bottom <= (window.innerHeight || document.documentElement.clientHeight) &&
        bounding.right <= (window.innerWidth || document.documentElement.clientWidth)
      );
    };

    function showInfos(element)
    {
      var flag = 2*parseInt($('#mode_selector').val());
      
      $('#blockchain').html('');

      if ($('#mode_checkbox').is(":checked")) flag += 1;

      blockchainExplorer.init(flag);
    }
  </script>

</head>
<body id="myPage" data-spy="scroll" data-target=".navbar" data-offset="60">

<nav class="navbar navbar-default navbar-fixed-top">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>                        
      </button>
      <a class="navbar-brand" href="index.php">
        <img id="logo_topisto" src="images/topisto_vert.png" style="border-radius:6px;display:inline-block;height:72px;;box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19)">
        <span id="titre_topisto" style="vertical-align:text-bottom;display:inline-block;color:black;font-family: Bangers, sans-serif;font-size: 60px;text-shadow: 2px 2px #ffffff">TOPISTO</span>
      </a>
    </div>
    <div class="collapse navbar-collapse" id="myNavbar">
      <ul class="nav navbar-nav navbar-right">
        <li><a href="about.php">About</a></li>
        <li><a href="#explorer">Explorer</a></li>
        <li><a href="blog.php">Blog</a></li>
      </ul>
    </div>
  </div>
</nav>

<div id="explorer" class="container-fluid bg-grey" style="padding-bottom:10px">
  <div class="row">
    <div class="col-sm-12 text-right">
      <br>
      <select id="mode_selector" onchange="showInfos(this)">
        <option value=0>A BTC blockchain explorer</option>
        <option value=1>My special Blocks list</option>
      </select>
      <br>Scroll down to see the previous blocks<br>
      <label>show infos&nbsp;</label><input id="mode_checkbox" type="checkbox" onchange="showInfos(this)" checked>
    </div>
  </div>
</div>

<div id="blockchain"></div>

<footer class="container-fluid bg-grey text-center slideanim">
  <a href="#myPage" title="To Top">
    <span class="glyphicon glyphicon-chevron-up"></span>
  </a>
</footer>
</body>
</html>
